﻿using Performance.DtoModels;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.Services
{
    public class PerSheetDataFactory
    {
        public static IPerSheetDataRead GetDataRead(SheetType sheetType)
        {
            IPerSheetDataRead dataread = null;
            switch (sheetType)
            {
                case SheetType.Employee:
                    dataread = new PerSheetDataReadEmployee();
                    break;
                case SheetType.Income:
                    dataread = new PerSheetDataReadIncome();
                    break;
                case SheetType.Expend:
                    dataread = new PerSheetDataReadExpend();
                    break;
                case SheetType.Overtime:
                    dataread = new PerSheetDataReadOvertime();
                    break;
                case SheetType.Workload:
                    dataread = new PerSheetDataReadWorkload();
                    break;
            }
            return dataread;
        }
    }
}
