﻿using NPOI.SS.UserModel;
using Performance.DtoModels;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.Services
{
    public class PerSheetDataReadEmployee : IPerSheetDataRead
    {
        public PerSheetPoint Point => new PerSheetPoint
        {
            HeaderFirstRowNum = 0,
            HeaderLastRowNum = 0,
            HeaderFirstCellNum = 0,
            DataFirstRowNum = 1,
            AccountingUnitCellNum = 0,
            DeptCellNum = 1
        };

        public PerData GetPerData(IRow row, PerHeader perHeader)
        {
            return new PerDataEmployee
            {
                AccountingUnit = row.GetCell(Point.AccountingUnitCellNum.Value)?.ToString(),
                Department = row.GetCell(Point.DeptCellNum.Value)?.ToString(),
                TypeName = perHeader?.CellName,
                CellValue = row.GetCell(perHeader.PointCell)?.ToString(),
                Annotation = row.GetCell(perHeader.PointCell)?.CellComment?.String?.String,
            };
        }
    }
}
