﻿using NPOI.SS.UserModel;
using Performance.DtoModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Performance.Services
{
    public class PerSheetDataReadWorkload : IPerSheetDataRead
    {
        public PerSheetPoint Point => new PerSheetPoint
        {
            HeaderFirstRowNum = 1,
            HeaderLastRowNum = 2,
            HeaderFirstCellNum = 1,
            DataFirstRowNum = 3,
            AccountingUnitCellNum = 1,
            DeptCellNum = 2
        };

        public PerData GetPerData(IRow row, PerHeader perHeader)
        {
            return new PerDataWorkload
            {
                AccountingUnit = row.GetCell(Point.AccountingUnitCellNum.Value).ToString(),
                Department = row.GetCell(Point.DeptCellNum.Value).ToString(),
                ParentType = perHeader.Parent?.CellName,
                TypeName = perHeader.CellName,
                CellValue = Convert.ToDecimal(row.GetCell(perHeader.PointCell).ToString()),
                Annotation = row.GetCell(perHeader.PointCell).CellComment?.String.String,
            };
        }
    }
}
